<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8,00"
	Name="Plugin_ClipmapSceneManager"
	ProjectGUID="{9D5F0157-CC6C-465B-89E8-48A699A6299A}"
	RootNamespace="Plugin_ClipmapSceneManager"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\bin\$(ConfigurationName)"
			IntermediateDirectory="..\obj\$(ConfigurationName)"
			ConfigurationType="2"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC70.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="true"
				SuppressStartupBanner="true"
				TargetEnvironment="1"
				TypeLibraryName=".\..\bin\Release/Plugin_ClipmapSceneManager.tlb"
			/>
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="2"
				AdditionalIncludeDirectories="..\include,..\..\..\OgreMain\include"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;PLUGIN_CLIPMAPSCENEMANAGER_EXPORTS"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=".\..\obj\Release/Plugin_ClipmapSceneManager.pch"
				AssemblerListingLocation=".\..\obj\Release/"
				ObjectFile=".\..\obj\Release/"
				ProgramDataBaseFileName=".\..\obj\Release/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1048"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="OgreMain.lib"
				OutputFile=".\..\bin\Release/Plugin_ClipmapSceneManager.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories="&quot;..\..\..\OgreMain\lib\$(ConfigurationName)&quot;"
				ModuleDefinitionFile="..\misc\ClipmapSceneManager.def"
				GenerateDebugInformation="true"
				ProgramDatabaseFile=".\..\bin\Release/Plugin_ClipmapSceneManager.pdb"
				ImportLibrary=".\..\bin\Release/Plugin_ClipmapSceneManager.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\Samples\Common\bin\$(ConfigurationName)"
			/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\bin\$(ConfigurationName)"
			IntermediateDirectory="..\obj\$(ConfigurationName)"
			ConfigurationType="2"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC70.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="true"
				SuppressStartupBanner="true"
				TargetEnvironment="1"
				TypeLibraryName=".\..\bin\Debug/Plugin_ClipmapSceneManager.tlb"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\include,..\..\..\OgreMain\include"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;PLUGIN_CLIPMAPSCENEMANAGER_EXPORTS;"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				PrecompiledHeaderFile=".\..\obj\Debug/Plugin_ClipmapSceneManager.pch"
				AssemblerListingLocation=".\..\obj\Debug/"
				ObjectFile=".\..\obj\Debug/"
				ProgramDataBaseFileName=".\..\obj\Debug/"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="4"
				CompileAs="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1048"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				IgnoreImportLibrary="true"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="OgreMain_d.lib"
				OutputFile=".\..\bin\Debug/Plugin_ClipmapSceneManager.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories="&quot;..\..\..\OgreMain\lib\$(ConfigurationName)&quot;"
				ModuleDefinitionFile="..\misc\ClipmapSceneManager.def"
				GenerateDebugInformation="true"
				ProgramDatabaseFile=".\..\bin\Debug/Plugin_ClipmapSceneManager.pdb"
				ImportLibrary=".\..\bin\Debug/Plugin_ClipmapSceneManager.lib"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="copy $(OutDir)\$(TargetFileName) ..\..\..\Samples\Common\bin\$(ConfigurationName)"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
			>
			<File
				RelativePath="..\src\ClipmapPatch.cpp"
				>
			</File>
			<File
				RelativePath="..\src\ClipmapPatchManager.cpp"
				>
			</File>
			<File
				RelativePath="..\src\ClipmapRegion.cpp"
				>
			</File>
			<File
				RelativePath="..\src\ClipmapSceneManager.cpp"
				>
			</File>
			<File
				RelativePath="..\src\ClipmapSceneManagerDll.cpp"
				>
			</File>
			<File
				RelativePath="..\src\CubemappedPlanetReader.cpp"
				>
			</File>
			<File
				RelativePath="..\src\filetutils.cpp"
				>
			</File>
			<File
				RelativePath="..\src\GeometryReader.cpp"
				>
			</File>
			<File
				RelativePath="..\src\PlanetReader.cpp"
				>
			</File>
			<File
				RelativePath="..\src\QuadIndex.cpp"
				>
			</File>
			<File
				RelativePath="..\src\SeperateCubemappedPlanetReader.cpp"
				>
			</File>
			<File
				RelativePath="..\src\VertexBuffer.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl"
			>
			<File
				RelativePath="..\include\ClipmapConfig.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapCustomPatch.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapPatch.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapPatchLoader.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapPatchManager.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapRegion.h"
				>
			</File>
			<File
				RelativePath="..\include\ClipmapSceneManager.h"
				>
			</File>
			<File
				RelativePath="..\include\CubemappedPlanetReader.h"
				>
			</File>
			<File
				RelativePath="..\include\fileutils.h"
				>
			</File>
			<File
				RelativePath="..\include\GeometryReader.h"
				>
			</File>
			<File
				RelativePath="..\include\HeightmapLoader.h"
				>
			</File>
			<File
				RelativePath="..\include\PlanetReader.h"
				>
			</File>
			<File
				RelativePath="..\include\quadindex.h"
				>
			</File>
			<File
				RelativePath="..\include\SeperateCubemappedPlanetReader.h"
				>
			</File>
			<File
				RelativePath="..\include\Vector2i.h"
				>
			</File>
			<File
				RelativePath="..\include\Vector3i.h"
				>
			</File>
			<File
				RelativePath="..\include\Vector3ix.h"
				>
			</File>
			<File
				RelativePath="..\include\Vertex.h"
				>
			</File>
			<File
				RelativePath="..\include\VertexBuffer.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
			>
		</Filter>
		<Filter
			Name="misc"
			>
			<File
				RelativePath="..\misc\ClipmapSceneManager.def"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
